%global forgeurl https://github.com/OpenPrinting/libcupsfilters

Version: 2.0b2

%forgemeta

# we build CUPS also with relro
%global _hardened_build 1

Summary: Provides the code of the filters of the former cups-filters package as library functions
Name:    libcupsfilters
Release: 1%{?dist}
License: Apache-2.0
Url:     https://github.com/OpenPrinting/libcupsfilters
Source0: %{forgesource}
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: git-core
BuildRequires: make

BuildRequires: cups-devel
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: ghostscript
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(libexif)
BuildRequires: libjpeg-turbo-devel
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libqpdf)
BuildRequires: mupdf-devel
BuildRequires: pkgconfig(poppler)
BuildRequires: poppler-cpp-devel
BuildRequires: libtiff-devel

Requires: ghostscript

%package devel
Summary: cups-filters package as library functions - development environment
License: Apache-2.0

%description
This package provides the libcupsfilters library, which in its 2.x version contains all the code of the filters of the former cups-filters package as library functions, the so-called filter functions.

The call scheme of the filter functions is similar to the one of the CUPS filter executables (see cupsfilters/filter.h), but generalized. In addition, it accepts printer and job IPP attributes but not PPD files any more. The PPD file interfacing for retro-fitting got moved to libppd.

The filter functions are principally intended to be used for the data format conversion tasks needed in Printer Applications. They are already in use (together with libppd and pappl-retrofit) by the CUPS-driver retro-fitting Printer Applications from OpenPrinting.

%description devel
Development pacakge for the libcupsfilters library.

%prep
%forgesetup

%build
%configure
%make_build

%install
%make_install

# Remove the static library
rm -f %{buildroot}%{_libdir}/libcupsfilters.a

# Don't ship libtool la files.
rm -f %{buildroot}%{_libdir}/lib*.la

%files
%license %{_docdir}/libcupsfilters/COPYING
%doc %{_docdir}/libcupsfilters/ABOUT-NLS
%doc %{_docdir}/libcupsfilters/AUTHORS
%doc %{_docdir}/libcupsfilters/CHANGES-1.x.md
%doc %{_docdir}/libcupsfilters/CHANGES.md
%doc %{_docdir}/libcupsfilters/CONTRIBUTING.md
%doc %{_docdir}/libcupsfilters/DEVELOPING.md
%doc %{_docdir}/libcupsfilters/INSTALL
%doc %{_docdir}/libcupsfilters/NOTICE
%doc %{_docdir}/libcupsfilters/README.md
%{_libdir}/libcupsfilters.so.2
%{_libdir}/libcupsfilters.so.2.0.0
%{_datadir}/cups/banners
%{_datadir}/cups/charsets
%{_datadir}/cups/data

%files devel
%{_includedir}/cupsfilters
%{_libdir}/libcupsfilters.so
%{_libdir}/pkgconfig/libcupsfilters.pc

%changelog
* Tue Jan 31 2023 Brandon Nielsen <nielsenb@jetfuse.net> 2.0b2-1
- Initial specfile
